﻿/* ============================================================
   NAVIGATION & HEADER
   ============================================================ */

.header {
    width: 100%;
    background: var(--color-tertiary-button);
    color: var(--color-light-text);
    align-items: center;
    box-shadow: 0 2px 6px rgba(0,0,0,0.04);
    z-index: 10;
}

nav {
    background-color: var(--color-tertiary-button);
    color: var(--color-light-text);
    padding: 0 1.5rem;
}

.header-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.header-title {
    font-size: 1.5rem;
    font-weight: bold;
    color: var(--color-dark-text);
    text-decoration: none;
}

    .header-title:hover {
        color: var(--color-dark-text);
        cursor: pointer;
    }

.header-action-container {
    display: flex;
    gap: 1rem;
    align-items: center;
}

.header-button {
    border: none;
    padding: 0.4rem 1rem;
    font-size: 1rem;
    cursor: pointer;
    text-decoration: none;
    background-color: var(--color-tertiary-button);
    color: var(--color-dark-text);
    border-bottom: solid 2px transparent;
    transition: background-color 0.2s;
}

    .header-button:hover {
        background-color: var(--color-tertiary-button-hover);
        text-decoration: none;
        color: var(--color-dark-text);
        border-bottom: solid 2px var(--color-primary-button);
    }
